package com.xinelu.manage.service.info;

import java.util.List;

import com.xinelu.common.core.domain.AjaxResult;
import com.xinelu.manage.domain.info.Info;
import org.springframework.web.multipart.MultipartFile;

/**
 * 资讯信息Service接口
 *
 * @author xinelu
 * @date 2024-04-11
 */
public interface IInfoService {
    /**
     * 查询资讯信息
     *
     * @param id 资讯信息主键
     * @return 资讯信息
     */
     Info selectInfoById(Long id);

    /**
     * 查询资讯信息列表
     *
     * @param info 资讯信息
     * @return 资讯信息集合
     */
    List<Info> selectInfoList(Info info);

    /**
     * 新增资讯信息
     *
     * @param info 资讯信息
     * @return 结果
     */
    int insertInfo(Info info);

    /**
     * 修改资讯信息
     *
     * @param info 资讯信息
     * @return 结果
     */
    AjaxResult updateInfo(Info info);

    /**
     * 批量删除资讯信息
     *
     * @param ids 需要删除的资讯信息主键集合
     * @return 结果
     */
    AjaxResult deleteInfoByIds(Long[] ids);

    /**
     * 删除资讯信息信息
     *
     * @param id 资讯信息主键
     * @return 结果
     */
    int deleteInfoById(Long id);

    /**
     * 图片文件上传
     * @param file
     * @return
     */
    AjaxResult picUpload(MultipartFile file);
}
